﻿<%@ Page Language="VB" CodeFile="default.aspx.vb" Inherits="learning_styles_examples_1_default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Learning Styles: Example 1</title>
    <link href="layout.css" rel="stylesheet" type="text/css" title="Layout stylesheet" />
    <!--script type="text/javascript" language="javascript" src="questionmarking.js" /-->
</head>
<body id="bodyElement" runat="server">
	<form id="pageholder" runat="server">
		<div id="header"> 
			<div id="logoholder"> <a href="http://www.sleepingdog.org.uk"><asp:Image ID="imgLogo" ImageUrl="http://www.sleepingdog.org.uk/assets/images/logos/sdlogo.gif" Width="150" Height="150" runat="server" /></a> 
			</div>
			<div id="banner">
			    <!--The <a href="http://www.sleepingdog.org.uk/learning/styles/examples/1">latest version of this demo</a> may still be in development.</p-->
                <asp:Label ID="lblBanner" runat="server" />
			</div>
		</div>
		<div id="relatedmaterial"> 
			<ul>
				<li><a href="http://www.sleepingdog.org.uk" accesskey="1">Home</a></li>
				<li><a href="http://www.sleepingdog.org.uk/learning/styles">Learning Styles</a></li>
				<li><a href="http://www.sleepingdog.org.uk/learning/styles/examples">Examples</a></li>
			</ul>
		</div>
		<div id="content">
            <h1>Learning Styles: Example 1</h1>
            <p>
                <label>Learning style
                    <asp:DropDownList ID="mnuLearningStyle" runat="server" AutoPostBack="true">
                        <Items>
                            <asp:ListItem Value="Visual">Visual</asp:ListItem>
                            <asp:ListItem Value="Textual">Textual</asp:ListItem>
                        </Items>
                    </asp:DropDownList>
                </label>
                <label>Theme
                    <asp:DropDownList ID="mnuTheme" runat="server" AutoPostBack="true">
                        <Items>
                            <asp:ListItem Value="Football">Football</asp:ListItem>
                            <asp:ListItem Value="Horses">Horses</asp:ListItem>
                        </Items>
                    </asp:DropDownList>
                </label>
                <label>Style sheet (colours and text)
                    <asp:DropDownList ID="mnuStyleSheet" runat="server" AutoPostBack="True">
                        <asp:ListItem Value="default.css">Default</asp:ListItem>
                        <asp:ListItem Value="alternate.css">Alternate</asp:ListItem>
                    </asp:DropDownList>
                </label>
            </p>
            <div id="LearningContent">
                <asp:Xml ID="xmlLearningContentMaths" runat="server" />
                <asp:Xml ID="xmlLearningContentSociology" runat="server" />
            </div>
		</div>
	</form>
	<script type="text/javascript" language="javascript">
// Last modified 2007-08-30
// Version 0.2

// f is the form
// e is the element
// q is the question
// a is the answer
// This function, called by the body element on page loading, goes through all the form elements,
// picks out the ones which are radio buttons, and assigns an event handler to them,
// so when the radio button is clicked, it calls the markQuestion() function and passes in the element, name and value.
// These correspond to the radio button, the question ident, and the multiple response choice.
function addHandlers(f) {
	for (var i = 0; i < f.elements.length; i++) {
		var e = f.elements[i];
		if (e.type == "radio") {
			e.onclick = function () { markQuestion(this, this.name, this.value); }
		}
	}
}
// This function takes the calling element (in this example, the radio button clicked), its name and value.
// It defines strings for feedback, finds the automatically-generated hidden input element where the correct answer is stored,
// sets the feedback depending on whether the answer given by the user matches the correct answer, and calls the addFeedback function.
function markQuestion(e, q, a) {
	var strCorrect = "Correct!";
	var strIncorrect = "Sorry, wrong answer. ";
	var strCorrectAnswer = "hidAnswer" + q;
	var strCorrectAnswer = document.getElementById(strCorrectAnswer).value;
	if (a == strCorrectAnswer) {
		addFeedback(e, strCorrect);
	}
	else {
		addFeedback(e, strIncorrect);
	}
}
// This function takes the initial calling element (for example, the radio button clicked) and a string of textual feedback.
// It then adds a span element containing the text to a location in the document after the calling element.
function addFeedback(element, feedback) {
	var s = document.createElement("span");
	var parent = element.parentNode;
	var grandParent = parent.parentNode;
	s.appendChild(document.createTextNode(feedback));
	grandParent.appendChild(s);
}
// Initialize the handlers.
addHandlers(document.pageholder);
	
	</script>
</body>
</html>
