﻿// JavaScript for marking the questions in the Learning Styles demos

// Learning Styles Example 1
// Documentation at:
//   http://www.sleepingdog.org.uk/learning/styles/examples/

//created by Tavis Reddick/Sleeping Dog
//www.sleepingdog.org.uk
//2007-08-30

// This work is licensed under a Creative Commons Attribution-Share Alike 2.5 UK: Scotland License:
//   http://creativecommons.org/licenses/by-sa/2.5/scotland

// Last modified 2007-08-30
// Version 0.2

// f is the form
// e is the element
// q is the question
// a is the answer
// This function, called by the body element on page loading, goes through all the form elements,
// picks out the ones which are radio buttons, and assigns an event handler to them,
// so when the radio button is clicked, it calls the markQuestion() function and passes in the element, name and value.
// These correspond to the radio button, the question ident, and the multiple response choice.
function addHandlers(f) {
	for (var i = 0; i < f.elements.length; i++) {
		var e = f.elements[i];
		if (e.type == "radio") {
			e.onclick = function () { markQuestion(this, this.name, this.value); }
		}
	}
}
// This function takes the calling element (in this example, the radio button clicked), its name and value.
// It defines strings for feedback, finds the automatically-generated hidden input element where the correct answer is stored,
// sets the feedback depending on whether the answer given by the user matches the correct answer, and calls the addFeedback function.
function markQuestion(e, q, a) {
	var strCorrect = "Correct!";
	var strIncorrect = "Sorry, wrong answer. ";
	var strCorrectAnswer = "hidAnswer" + q;
	var strCorrectAnswer = document.getElementById(strCorrectAnswer).value;
	if (a == strCorrectAnswer) {
		addFeedback(e, strCorrect);
	}
	else {
		addFeedback(e, strIncorrect);
	}
}
// This function takes the initial calling element (for example, the radio button clicked) and a string of textual feedback.
// It then adds a span element containing the text to a location in the document after the calling element.
function addFeedback(element, feedback) {
	var s = document.createElement("span");
	var parent = element.parentNode;
	var grandParent = parent.parentNode;
	s.appendChild(document.createTextNode(feedback));
	grandParent.appendChild(s);
}
// Initialize the handlers.
addHandlers(document.pageholder);
